Page MenuHomePhabricator

Composer support
Closed, ResolvedPublic

Description

Composer for extension management was declined (see T467).

But it can and should be used, if our extension provides library functionality, which others can depend on. And that's the case for the UserNameSessionProvider class, which isn't Auth_remoteuser-specific. Other (auth) extensions can use/inherit from this class to not maintain a SessionProvider class on their own.

Additionally the extension code itself can be installed with composer (but not enabled! that must be done with MW extension registration).

Therefore providing composer support for this extension could be useful.

Roadmap:

  • Merge Patch Set with valid composer.json
  • Push at least one valid version tag to repository
  • Submit extensions repository link to mediawiki user on packagist.org

Event Timeline

Enst80 created this task.Feb 24 2018, 10:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2018, 10:17 PM
Enst80 updated the task description. (Show Details)Feb 24 2018, 10:20 PM
Kizule added a subscriber: Kizule.Feb 24 2018, 10:44 PM

Change 393073 had a related patch set uploaded (by Enst80; owner: Robert Vogel):
[mediawiki/extensions/Auth_remoteuser@master] Composer support

https://gerrit.wikimedia.org/r/393073

Change 393073 merged by jenkins-bot:
[mediawiki/extensions/Auth_remoteuser@master] Support distribution via Composer and Packagist

https://gerrit.wikimedia.org/r/393073

Enst80 updated the task description. (Show Details)Mar 10 2018, 12:50 PM
Enst80 closed this task as Resolved.Mar 16 2018, 10:02 PM
Enst80 updated the task description. (Show Details)

Finally ;-)

Awesome! Thank you so much!